import request from '@/utils/request'

// 查询包材采购单列表
export function listOrder(query) {
	return request({
		url: '/wms/order/list',
		method: 'get',
		params: query
	});
}

// 查询包材采购单详细
export function getOrder(ID) {
	return request({
		url: '/wms/order/' + ID,
		method: 'get'
		});
}

// 新增包材采购单
export function addOrder(data) {
	return request({
		url: '/wms/order',
		method: 'post',
		data: data
	});
}

// 修改包材采购单
export function updateOrder(data) {
	return request({
		url: '/wms/order',
		method: 'put',
		data: data
	});
}

// 删除包材采购单
export function delOrder(ID) {
	return request({
		url: '/wms/order/' + ID,
		method: 'delete'
	});
}
